Subject: [bug#54580] [PATCH staging?] gnu: mrustc: Update to 0.10.

From: Maxime Devos <[email-masked]>
Date: Sat, 26 Mar 2022 16:09:28 +0100

Pierre Langlois schreef op za 26-03-2022 om 13:27 [+0000]:
> That being said, I wasn't entirely sure where this patch should go,
> ideally it would be good to have a staging branch rather than
> core-updates, WDYT?  Maybe we can do this along with a rust version
> update?

While it would cause many rebuilds, it seems highly unlikely to
actually break anything, as it only changes some early parts of the
Rust bootstrapping process, so build farm capacity permitting, I would
go with a staging branch (not necessarily the "staging" branch, just
_a_ staging branch).

Doing it together with a rust version update seems reasonable to me
(see <https://issues.guix.gnu.org/54439#10>).

Greetings,
Maxime.